Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.hyperneat.substrate
Class SubstrateNode

    java.lang.Object
      org.encog.neural.hyperneat.substrate.SubstrateNode

All Implemented Interfaces:
  Serializable

    public class SubstrateNode

extends Object
implements Serializable

A substrate node. A node has a coordinate in an n-dimension space that matches the dimension count of the substrate. ----------------------------------------------------------------------------- http://www.cs.ucf.edu/~kstanley/ Encog's NEAT implementation was drawn from the following three Journal Articles. For more complete BibTeX sources, see NEATNetwork.java. Evolving Neural Networks Through Augmenting Topologies Generating Large-Scale Neural Networks Through Discovering Geometric Regularities Automatic feature selection in neuroevolution

See Also:
  Serialized Form

Constructor Summary
`SubstrateNode(int theID, int size)` Construct this node.

Method Summary
`int` | `getId()`
`double[]` | `getLocation()`
`int` | `size()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubstrateNode

    public SubstrateNode(int theID,
                         int size)

  Construct this node.

  Parameters:
    `theID` - The ID.
    `size` - The size.

Method Detail

### getId

    public int getId()

  Returns:
    the id

### getLocation

    public double[] getLocation()

  Returns:
    the location

### size

    public int size()

  Returns:
    The number of dimensions in this node.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.